org.eclipse.jetty.jndi

## Class BindingEnumeration

- java.lang.Object
- - org.eclipse.jetty.jndi.BindingEnumeration

All Implemented Interfaces:
  Enumeration<Binding>, NamingEnumeration<Binding>

    public class BindingEnumeration
    extends Object
    implements NamingEnumeration<Binding>

BindingEnumeration

Implementation of NamingEnumeration

#### Notes

Used to return results of Context.listBindings();

#### Usage

### Constructor Summary

Constructors
Constructor and Description
`BindingEnumeration(Iterator<Binding> e)`

### Method Summary

Methods
`void` `close()`
`boolean` `hasMore()`
`boolean` `hasMoreElements()`
`Binding` `next()`
`Binding` `nextElement()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BindingEnumeration

    public BindingEnumeration(Iterator<Binding> e)

### Method Detail

#### close

    public void close()
               throws NamingException

Specified by:
  `close` in interface `NamingEnumeration<Binding>`
Throws:
  `NamingException`

#### hasMore

    public boolean hasMore()
                    throws NamingException

Specified by:
  `hasMore` in interface `NamingEnumeration<Binding>`
Throws:
  `NamingException`

#### next

    public Binding next()
                 throws NamingException

Specified by:
  `next` in interface `NamingEnumeration<Binding>`
Throws:
  `NamingException`

#### hasMoreElements

    public boolean hasMoreElements()

Specified by:
  `hasMoreElements` in interface `Enumeration<Binding>`

#### nextElement

    public Binding nextElement()

Specified by:
  `nextElement` in interface `Enumeration<Binding>`